Calculate risk for Contracts
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"contracts": [
{
"identifier": "identifier"
},
{
"identifier": "identifier"
}
],
"include_contract_data_in_response": true
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts"
payload = {
"contracts": [{ "identifier": "identifier" }, { "identifier": "identifier" }],
"include_contract_data_in_response": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
contracts: [{identifier: 'identifier'}, {identifier: 'identifier'}],
include_contract_data_in_response: true
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contracts' => [
[
'identifier' => 'identifier'
],
[
'identifier' => 'identifier'
]
],
'include_contract_data_in_response' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts"
payload := strings.NewReader("{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}"
response = http.request(request)
puts response.read_body{
"result": {
"error_message": "error_message",
"error_messages_by_security_id": {
"key": [
"error_messages_by_security_id",
"error_messages_by_security_id"
]
},
"market_data_error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{
"credit_id": "credit_id",
"name": "name"
},
{
"credit_id": "credit_id",
"name": "name"
}
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{
"currency": "currency"
},
{
"currency": "currency"
}
],
"fx_cross_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": [
"calendar_errors",
"calendar_errors"
],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{
"rate_asset_id": "rate_asset_id"
},
{
"rate_asset_id": "rate_asset_id"
}
],
"andersen_buffum_parameters_errors": [
{
"equity_id": "equity_id"
},
{
"equity_id": "equity_id"
}
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
]
},
"risk_results": [
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": {
"identifier": "identifier"
},
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": {
"name": "name",
"exchange": "exchange"
},
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
},
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": {
"identifier": "identifier"
},
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": {
"name": "name",
"exchange": "exchange"
},
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
}
],
"error_messages": [
"error_messages",
"error_messages"
]
}
}Calculate risk for Contracts
POST
/
api
/
Tradable
/
CalculateRiskForContracts
Calculate risk for Contracts
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"contracts": [
{
"identifier": "identifier"
},
{
"identifier": "identifier"
}
],
"include_contract_data_in_response": true
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts"
payload = {
"contracts": [{ "identifier": "identifier" }, { "identifier": "identifier" }],
"include_contract_data_in_response": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
contracts: [{identifier: 'identifier'}, {identifier: 'identifier'}],
include_contract_data_in_response: true
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contracts' => [
[
'identifier' => 'identifier'
],
[
'identifier' => 'identifier'
]
],
'include_contract_data_in_response' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts"
payload := strings.NewReader("{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/CalculateRiskForContracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"contracts\": [\n {\n \"identifier\": \"identifier\"\n },\n {\n \"identifier\": \"identifier\"\n }\n ],\n \"include_contract_data_in_response\": true\n}"
response = http.request(request)
puts response.read_body{
"result": {
"error_message": "error_message",
"error_messages_by_security_id": {
"key": [
"error_messages_by_security_id",
"error_messages_by_security_id"
]
},
"market_data_error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{
"credit_id": "credit_id",
"name": "name"
},
{
"credit_id": "credit_id",
"name": "name"
}
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{
"currency": "currency"
},
{
"currency": "currency"
}
],
"fx_cross_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": [
"calendar_errors",
"calendar_errors"
],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{
"rate_asset_id": "rate_asset_id"
},
{
"rate_asset_id": "rate_asset_id"
}
],
"andersen_buffum_parameters_errors": [
{
"equity_id": "equity_id"
},
{
"equity_id": "equity_id"
}
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
]
},
"risk_results": [
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": {
"identifier": "identifier"
},
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": {
"name": "name",
"exchange": "exchange"
},
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
},
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": {
"identifier": "identifier"
},
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": {
"name": "name",
"exchange": "exchange"
},
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
}
],
"error_messages": [
"error_messages",
"error_messages"
]
}
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.RiskEngine.ApiCalculateRiskForContractsRequest, Derivitec.Web.Core - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
- Option 38
- Option 39
- Option 40
- Option 41
- Option 42
- Option 43
- Option 44
- Option 45
- Option 46
- Option 47
- Option 48
- Option 49
- Option 50
- Option 51
- Option 52
- Option 53
- Option 54
- Option 55
- Option 56
- Option 57
- Option 58
- Option 59
- Option 60
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
Show child attributes
Show child attributes
Example:
{
"scenario_name": "scenario_name",
"scenario_description": "scenario_description"
}
Show child attributes
Show child attributes
Example:
{
"discount_curve_overrides": [
{ "curve_name": "curve_name" },
{ "curve_name": "curve_name" }
],
"andersen_buffum_parameters_overrides": [
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"andersen_buffum_benchmark_spot": 7.061401241503109,
"andersen_buffum_alpha": 2.3021358869347655,
"reference_date": "2000-01-23T04:56:07.000+00:00"
},
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"andersen_buffum_benchmark_spot": 7.061401241503109,
"andersen_buffum_alpha": 2.3021358869347655,
"reference_date": "2000-01-23T04:56:07.000+00:00"
}
],
"recovery_rate_overrides": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"equity_vol_surface_spot_model": "sticky_strike",
"fx_spot_overrides_by_currency": [
{ "value": 3.5571952270680973, "key": "key" },
{ "value": 3.5571952270680973, "key": "key" }
],
"equity_vol_surface_overrides": [
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"asset_name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"borrow_curve_overrides": [
{
"asset_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"asset_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"index_curve_fitting_overrides": [
{
"curve_name": "curve_name",
"instrument_set": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"currency": "currency",
"instrument_quotes": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
},
{
"curve_name": "curve_name",
"instrument_set": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"currency": "currency",
"instrument_quotes": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
],
"bond_prices": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"is_currency_per_bond_unit": true,
"currency": "currency",
"traded_price": 0.8008281904610115,
"is_percentage_of_par": true
}
],
"equity_vol_grid_overrides": [
{
"asset_id": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"asset_id": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"index_curve_overrides": [
{ "curve_name": "curve_name" },
{ "curve_name": "curve_name" }
],
"cmdty_spot_overrides": [
{ "value": 3.5571952270680973, "key": "key" },
{ "value": 3.5571952270680973, "key": "key" }
],
"discount_curve_fitting_overrides": [
{
"curve_name": "curve_name",
"instrument_set": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"currency": "currency",
"instrument_quotes": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
},
{
"curve_name": "curve_name",
"instrument_set": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"currency": "currency",
"instrument_quotes": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
],
"equity_spot_overrides": [
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": 1.4658129805029452,
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"dividends_overrides": [
{
"use_forward_dividend_yields": true,
"asset_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [1.4658129805029452, 1.4658129805029452],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": ["Regular", "Regular"],
"confirmed_flags": [true, true],
"cash_divs": [5.962133916683182, 5.962133916683182],
"div_yields": [5.637376656633329, 5.637376656633329],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": ["currencies", "currencies"]
},
"dividend_yields": [
{ "value": 5.637376656633329, "key": 5 },
{ "value": 5.637376656633329, "key": 5 }
]
},
{
"use_forward_dividend_yields": true,
"asset_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [1.4658129805029452, 1.4658129805029452],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": ["Regular", "Regular"],
"confirmed_flags": [true, true],
"cash_divs": [5.962133916683182, 5.962133916683182],
"div_yields": [5.637376656633329, 5.637376656633329],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": ["currencies", "currencies"]
},
"dividend_yields": [
{ "value": 5.637376656633329, "key": 5 },
{ "value": 5.637376656633329, "key": 5 }
]
}
],
"bond_yield_curve_overrides": [
{
"reference_curve_discount_factors": [0.8008281904610115, 0.8008281904610115],
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"reference_curve_name": "reference_curve_name",
"reference_curve_maturities": [6, 6],
"bond_issuer": "bond_issuer",
"debt_type": "debt_type"
},
{
"reference_curve_discount_factors": [0.8008281904610115, 0.8008281904610115],
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"reference_curve_name": "reference_curve_name",
"reference_curve_maturities": [6, 6],
"bond_issuer": "bond_issuer",
"debt_type": "debt_type"
}
],
"fx_spot_currency": "fx_spot_currency"
}
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
- Option 38
- Option 39
- Option 40
- Option 41
- Option 42
- Option 43
- Option 44
- Option 45
- Option 46
- Option 47
- Option 48
- Option 49
- Option 50
- Option 51
- Option 52
- Option 53
- Option 54
- Option 55
- Option 56
- Option 57
- Option 58
- Option 59
- Option 60
- Option 61
- Option 62
- Option 63
- Option 64
- Option 65
- Option 66
- Option 67
- Option 68
- Option 69
- Option 70
- Option 71
- Option 72
- Option 73
- Option 74
- Option 75
- Option 76
- Option 77
- Option 78
- Option 79
- Option 80
- Option 81
- Option 82
- Option 83
- Option 84
- Option 85
- Option 86
- Option 87
- Option 88
- Option 89
- Option 90
- Option 91
- Option 92
- Option 93
- Option 94
- Option 95
- Option 96
- Option 97
- Option 98
- Option 99
Show child attributes
Show child attributes
Response
Success
Available options:
Derivitec.Web.Core.RiskEngine.ApiCalculateRiskResponse, Derivitec.Web.Core Show child attributes
Show child attributes
Example:
{
"error_message": "error_message",
"error_messages_by_security_id": {
"key": [
"error_messages_by_security_id",
"error_messages_by_security_id"
]
},
"market_data_error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{ "credit_id": "credit_id", "name": "name" },
{ "credit_id": "credit_id", "name": "name" }
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{ "currency": "currency" },
{ "currency": "currency" }
],
"fx_cross_errors": [
{ "fx_cross_id": "fx_cross_id" },
{ "fx_cross_id": "fx_cross_id" }
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": ["calendar_errors", "calendar_errors"],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{ "rate_asset_id": "rate_asset_id" },
{ "rate_asset_id": "rate_asset_id" }
],
"andersen_buffum_parameters_errors": [
{ "equity_id": "equity_id" },
{ "equity_id": "equity_id" }
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{ "fx_cross_id": "fx_cross_id" },
{ "fx_cross_id": "fx_cross_id" }
]
},
"risk_results": [
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": { "identifier": "identifier" },
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": { "name": "name", "exchange": "exchange" },
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
},
{
"error_message": "error_message",
"rate_asset_id": "rate_asset_id",
"curve_name": "curve_name",
"contract": { "identifier": "identifier" },
"tradable_id": "tradable_id",
"tenor": "tenor",
"commodity_id": { "name": "name", "exchange": "exchange" },
"unit_value_is_valid": true,
"fx_pair": "fx_pair",
"equity_asset": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"unit_value": "",
"currency": "currency",
"unit_value_currency": "unit_value_currency",
"bond_issuer": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"measure_id": "measure_id",
"scenario_key": "scenario_key"
}
],
"error_messages": ["error_messages", "error_messages"]
}
Was this page helpful?